#ifndef CONFIG_FLASH_H /* prevent circular inclusions */
#define CONFIG_FLASH_H /* by using protection macros */


#define CONFIG_BASE_ADDRESS		0xf00000
#define NET_CONFIG_ADDRESS		(CONFIG_BASE_ADDRESS + 0)
#define NET_CONFIG_LENGTH		16


int config_flash_init(void);
int config_flash_sector_erase(u32 Addr);
int config_flash_write(u32 Addr, u8 * data, u32 ByteCount);
int config_flash_read(u32 Addr, u8 * data, u32 ByteCount);


#endif /* end of protection macro */
